# Uses of Class
java.net.SocketImpl

Packages that use SocketImpl
Package
Description
java.net
Provides the classes for implementing networking applications.

## Uses of SocketImpl in java.net

Methods in java.net that return SocketImpl
Modifier and Type
Method
Description
`SocketImpl`
SocketImplFactory.`createSocketImpl()`
Creates a new `SocketImpl` instance.
Methods in java.net with parameters of type SocketImpl
Modifier and Type
Method
Description
`protected abstract void`
SocketImpl.`accept(SocketImpl s)`
Accepts a connection.
Constructors in java.net with parameters of type SocketImpl
Modifier
Constructor
Description
`protected`
`ServerSocket(SocketImpl impl)`
Creates a server socket with a user-specified `SocketImpl`.
`protected`
`Socket(SocketImpl impl)`
Creates an unconnected Socket with a user-specified SocketImpl.